Package twisted :: Package im :: Module pbsupport :: Class TwistedWordsPerson

[frames | no frames]

## Class TwistedWordsPerson

    AbstractPerson --+
                     |
                    TwistedWordsPerson

I a facade for a person you can talk to through a twisted.words service.

Method Summary
| `__init__(self, name, wordsAccount)`
| `getStatus(self)`
| `isOnline(self)`
| `metadataFailed(self, result, text)`
| ``sendMessage`(self, text, metadata)` Return a deferred...
| `setStatus(self, status)`
Inherited from AbstractPerson
| ``__repr__`(self)`
| ``__str__`(self)`
| ``getIdleTime`(self)` Returns a string.
| ``getPersonCommands`(self)` finds person commands

Method Details

### sendMessage(self, text, metadata)

Return a deferred...

Generated by Epydoc 2.0 on Sat May 15 20:08:34 2004 | http://epydoc.sf.net